Subject: Re: (Was: FVWM: Fvwm 2 next release)

From: Lars Arvestad <[email-masked]>
Date: Fri, 12 Apr 1996 17:43:21 +0200

Quoted from:  <[email-masked]> (Charles Hines)
>
> >>>>> "Michael" == Michael J Carter <[email-masked]> writes:
> 
> Michael> "He" says that tvtwm does a fstat() on a 'menu file', and if
> Michael> it has changed, the new version is read without the need to
> Michael> push a button. I must admit it is more elegant....
> 
> How about this:
> 
> ######################################################################
> Mouse 2 R MC DynamicMenu
> 
> AddToMenu DMenu "Dynamic Menu" Title
> 
> AddToFunc DynamicMenu "I" DestroyMenu "DMenu"
> + "I" Read .fvwm2rc-dynmenu
> + "I" Popup DMenu
> ######################################################################
> 
> It reads the file every time, regardless of whether it changed or not,
> but it accomplishes basically the same thing.

To avoid always re-reading a menu file, one could consider a new
module doing exactly what Michael wants. This module would look at
some menu files (specified by the user) once in a while and send a
Read-command to FVWM when they have changed. This approach would be
quite FVWM-ish too!

	Lasse

--
Lars Arvestad            (MIME correspondence welcome)
Dept. of Numerical Analysis and Computing Science
Royal Institute of Technology (KTH), Stockholm, Sweden
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].